﻿
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LoginTemplate.cshtml";
}



<div class="container">
    <div class="row">
        <div class="col-md-12 d-flex flex-column justify-content-center" style="height:70vh">
            <div class="row">
                <div class="col-lg-6 col-md-8 mx-auto "> 
                    <div class="card card-primary">
                        <div class="card-header text-center">
                            <h3 class="card-title text-center">Login</h3>
                        </div>
                        <form id="login-form">
                            <div class="card-body">
                                <div class="form-group">
                                    <label for="exampleInputEmail1">Email address</label>
                                    <input type="text" name="Email" class="form-control" id="exampleInputEmail1" placeholder="Enter email/username">
                                </div>
                                <div class="form-group">
                                    <label for="exampleInputPassword1">Password</label>
                                    <input type="password" name="Password" class="form-control" id="exampleInputPassword1" placeholder="Password">
                                </div>
                                <div class="form-group mb-0">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" name="Remember" class="custom-control-input" id="exampleCheck1">
                                        <label class="custom-control-label" for="exampleCheck1">Remember me</label>
                                    </div>
                                </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        
        $("#login-form").submit(function (event) {
            event.preventDefault();
            $.ajax({
                url: "Login",
                type: "post",
                dataType: "json",
                data: $(this).serialize(),
                success: function (data) {
                    if (data.metaData.code == 200) {
                        $('#modalAddUser').modal('hide');
                        messageSuccess(data.metaData.message, "https://localhost:44334/Home/Index");
                    } else {
                        $('#modalAddUser').modal('hide');
                        messageFailed(data.metaData.message);
                    }
                },
                error: function (result) {
                    console.log("error", result);
                    messageFailed(data.metaData.message);
                }
            });
        });
    </script>
}

